## openjdk-17 17~17

=== debian/changelog ===
openjdk-17 (17~17-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 17.
  * Prefer to build using openjdk-17 instead of -16. Closes: #986526.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Apr 2021 09:37:40 +0200

openjdk-17 (17~15-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 15.
  * Fix another upstream typo to build with external harfbuzz. Closes: #985668.
  * Disable running the tests on mipsel and mips64el.  Times out, and if it
    succeeds, it taken at least five days to run.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Mar 2021 10:31:15 +0100

openjdk-17 (17~14-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 14.
  * Don't use the triplet-prefixed binutils tools for backports.
  * Simplify compiler selection for backports.
  * Fix build with older glibc versions. See JDK-8262501.
  * Apply untested patch suggested to fix mips issue. See #983878.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Mar 2021 19:42:16 +0100

openjdk-17 (17~11-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 11.
  * Configure --with-copyright-year. Addresses: #956154.
  * Restore the libpcsclite-dlopen patch. Closes: #983465.
  * Don't run the testsuite on armel and riscv64. Crashing the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 10:33:32 +0100

openjdk-17 (17~10-2) unstable; urgency=medium

  * Fix the build logic, jaotc and jhsdb tools not available on all archs.
  * Ship the jfc files used by jfr.
  * reproducible-build-jmod.diff: Fall back to the unpatched behavior
    for backports.
  * Only build with system harfbuzz for recent releases.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Feb 2021 12:02:45 +0100

openjdk-17 (17~10-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 10.
  * Fix building with OpenJDK 17 as the boot jdk.
  * Build with Rules-Requires-Root: no.
  * Move libawt_xawt.so, libjawt.so into the jre package. Addresses: #908058.
  * Move the jfr binary from -jre-headless to -jdk-headless. Development tool.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2021 13:12:19 +0100

openjdk-17 (17~9-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 9.
  * Enable running the tests.
  * Remove the disable-doclint-by-default patch. Was not applied anymore
    in 17.  Closes: #982521.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Feb 2021 10:13:25 +0000

openjdk-17 (17~8-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 8.
  * Don't try to apply the removed alpha-float-const patch.
  * Drop the powerpcspe packaging bits.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Feb 2021 14:35:28 +0100

openjdk-17 (17~7-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 7.
  * Update watch file.
  * Use debugedit to generate unique build-id's and remove the openjdk-N-dbg
    file conflicts.
  * Remove KFreeBSD build support and patches, not updated since OpenJDK 8.
  * Remove obsolete patches: alpha-float-const, libpcsclite-dlopen,
    parallel-build-fix, s390x-thread-stack-size.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2021 14:52:27 +0100

openjdk-17 (17~5-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 5.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2021 10:29:50 +0100

openjdk-17 (17~4-0ubuntu1) hirsute; urgency=medium

  * OpenJDK 17 snapshot, build 4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Jan 2021 17:25:46 +0100

openjdk-17 (17~3-1) experimental; urgency=medium

  * OpenJDK 17 snapshot, build 3.
  * OpenJDK 17 is supposed to be the next OpenJDK LTS release seeing extended
    updates and security support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Dec 2020 13:57:12 +0100

openjdk-16 (16~29-1) unstable; urgency=medium

  * OpenJDK 16 snapshot, build 29.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Dec 2020 12:44:30 +0100

openjdk-16 (16~27-2) unstable; urgency=medium

  * Fix installation on sparc64.
  * Link with libatomic for more zero builds.
  * Re-enable zero on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Dec 2020 10:01:45 +0100

openjdk-16 (16~27-1) unstable; urgency=medium

  * OpenJDK 16 snapshot, build 27.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Dec 2020 16:42:51 +0100

openjdk-16 (16~14-1) experimental; urgency=medium

  * OpenJDK 16 snapshot, build 14.
  * Build with system harfbuzz.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Nov 2020 14:35:22 +0100

openjdk-15 (15.0.1+9-3) unstable; urgency=medium

  * Don't enabled shenandoahgc explicitly.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Nov 2020 08:54:13 +0100

openjdk-15 (15.0.1+9-2) unstable; urgency=medium

  * Update debian/copyright.
  * Configure --with-jvm-features=shenandoahgc for hotspot builds.
    LP: #1902029.
  * Replace the upstream test suite in the autopkg tests with two superficial
    tests. It doesn't make any sense to run the whole test suite again,
    after running it during the build.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Nov 2020 16:55:34 +0100

openjdk-15 (15.0.1+9-1) unstable; urgency=medium

  * OpenJDK 15.0.1 release, build 9.
  * Build just zero on sparc64 (Adrian Glaubitz). Closes: #965342.
  * Call strip-nondeterminism before computing jmod hashes (Julian Gilbey).
  * Don't run the jdk tests as an autopkg test, taking too long.
    Closes: #970606.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Oct 2020 16:46:35 +0200

openjdk-15 (15+36-1) unstable; urgency=medium

  * OpenJDK 15 release, build 36.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Sep 2020 14:08:36 +0200

openjdk-15 (15~32-2) unstable; urgency=medium

  * debian/copyright (remove licenses not found anymore in the sources):
    - Little CMS, libpng, GIFLIB.
  * Stop building zero on armhf, ftbfs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Jul 2020 10:36:08 +0200

openjdk-15 (15~32-1) unstable; urgency=medium

  * OpenJDK 15 snapshot, build 32.
  * Build again with -march=zEC12 on Ubuntu/s390x.

