## openjdk-17 17+35

=== debian/changelog ===
openjdk-17 (17+35-1) unstable; urgency=medium

  * Fix JDK-8272472, ftbfs with glibc 2.24.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Sep 2021 07:22:52 +0200

openjdk-17 (17~35ea-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 35 (first release candidate).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Aug 2021 13:54:06 +0200

openjdk-17 (17~33ea-1) unstable; urgency=high

  * OpenJDK 17 snapshot, build 33.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Jul 2021 09:22:45 +0200

openjdk-17 (17~32ea-1) unstable; urgency=high

  * OpenJDK 17 snapshot, build 32.
  * Security fixes:
    - JDK-8256157: Improve bytecode assembly.
    - JDK-8256491: Better HTTP transport.
    - JDK-8258432, CVE-2021-2341: Improve file transfers.
    - JDK-8260453: Improve Font Bounding.
    - JDK-8260960: Signs of jarsigner signing.
    - JDK-8260967, CVE-2021-2369: Better jar file validation.
    - JDK-8262380: Enhance XML processing passes.
    - JDK-8262403: Enhanced data transfer.
    - JDK-8262410: Enhanced rules for zones.
    - JDK-8262477: Enhance String Conclusions.
    - JDK-8262967: Improve Zip file support.
    - JDK-8264066, CVE-2021-2388: Enhance compiler validation.
    - JDK-8264079: Improve abstractions.
    - JDK-8264460: Improve NTLM support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jul 2021 11:25:32 +0200

openjdk-17 (17~31ea-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 31.
  * Encode the early-access status into the package version. LP: #1934895.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Jul 2021 14:25:02 +0200

openjdk-17 (17~29-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 29.
  * Update watch file.
  * Prepare to build with jtreg6, where available.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Jul 2021 16:42:23 +0200

openjdk-17 (17~27-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 27.
  * Only build using lto with GCC 11.
  * Build using GCC 11 in recent distributions.
  * Update VCS attributes.
  * Disable runnning the tests, requires not yet packaged jtreg6.
  * Remove rimd, removed upstream.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Jun 2021 15:06:18 +0200

openjdk-17 (17~24-1) unstable; urgency=medium

  * OpenJDK 17 snapshot, build 24.
  * Drop the work around for JDK 8211105.
  * Remove jaotc (the experimental JIT compiler), removed upstream.
  * Add an (unapplied) patch to replace OASIS header files with ones
    imported from NSPR and NSS. See #985765.  Not reviewed, not applying.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 May 2021 11:26:59 +0200
