=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
   is_default = yes
 endif
 
-#is_upstream_release = yes
+is_upstream_release = yes
 
 srcdir		= .
 builddir	= build
@@ -101,23 +101,24 @@
 endif
 jvmver		= 1.17.0
 shortver	= 17
-v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-][^-]*$$//')
-v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
+v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//')
+v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
+v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')
 # FIXME. currently v_upstream like 11~4
-#v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
-#v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
-v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
-v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
+v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
+v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
+#v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
+#v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
 # that should be the package version ...
 
 #$(warning XXXXX $(v_upstream) / $(v_pkgrel) / $(v_upbase) / $(v_upbuild))
 
-#ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
-#  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
+ifneq ($(v_debian),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
+  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
+endif
+#ifneq ($(v_debian),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
+#  $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(v_debian))
 #endif
-ifneq ($(PKGVERSION),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
-  $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
-endif
 
 ifneq (,$(DEB_HOST_MULTIARCH))
   jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
@@ -156,21 +157,22 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
+jtreg_pkg = jtreg6
+
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel mipsel mips64el riscv64))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial bionic))
-  with_check = disabled for $(distrel)
-endif
-#with_check = disabled, more recent jtreg needed
+ifneq (,$(filter $(distrel), buster bullseye precise trusty xenial bionic focal groovy hirsute impish))
+  with_check = disabled for $(distrel), no $(jtreg_pkg)
+endif
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
-#with_check = disabled for this upload
+with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
 
@@ -215,16 +217,22 @@
   BUILDJDK_HOME = $(BOOTJDK_HOME)
 endif
 
-# for Hotspot: hotspot/make/linux/makefiles/vm.make
-# Don't overwrite Hotspot opt level :
-# -O3 is already default option for hotspot
-
-# FIXME: ftbfs with -Werror=format-security
-dpkg_buildflags_hs = \
-	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
-	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
-	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
-	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
-# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
-dpkg_buildflags_hs += \
-	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
+ifneq (,$(filter $(distrel),saucy))
+  export CC = gcc-4.8
+  export CXX = g++-4.8
+  bd_gcc = g++-4.8,
+else ifneq (,$(filter $(distrel),utopic vivid jessie))
+  export CC = gcc-4.9
+  export CXX = g++-4.9
+  bd_gcc = g++-4.9,
+else ifneq (,$(filter $(distrel),wily))
+  ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
+    export CC = $(DEB_HOST_GNU_TYPE)-gcc-5
+    export CXX = $(DEB_HOST_GNU_TYPE)-g++-5
+    # FIXME: altzero seems to build with GCC 5 on i386, amd64, ppc64el ...
+    ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
+      ZERO_CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
+      ZERO_CXX = $(DEB_HOST_GNU_TYPE)-g++-4.9
+    endif
+  else
+    export CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
