## openjdk-17 17.0.1+12

=== debian/changelog ===
openjdk-17 (17.0.1+12-1~21.04) hirsute-security; urgency=medium

  * SRU: LP: #1949179: Backport the OpenJDK 17.0.1 security release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Oct 2021 11:50:31 +0200

openjdk-17 (17.0.1+12-1) unstable; urgency=medium

  * OpenJDK 17.0.1+12 (release).
  * Remove patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Oct 2021 16:47:06 +0200
