## openjdk-17 17.0.2+8

=== debian/changelog ===
openjdk-17 (17.0.2+8-1) unstable; urgency=high

  * OpenJDK 17.0.2+8 (release).
  * Addresses security issues: CVE-2022-21366, CVE-2022-21365, CVE-2022-21360,
    CVE-2022-21341, CVE-2022-21340, CVE-2022-21305, CVE-2022-21299,
    CVE-2022-21296, CVE-2022-21294, CVE-2022-21293, CVE-2022-21291,
    CVE-2022-21283, CVE-2022-21282, CVE-2022-21277, CVE-2022-21248.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jan 2022 17:13:47 +0100
