## openjdk-17 17.0.3+7

=== debian/changelog ===
openjdk-17 (17.0.3+7-0ubuntu0.21.10.1) impish-security; urgency=medium

  * Backport 17.0.3 to Ubuntu 21.10.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sun, 24 Apr 2022 10:03:57 -0400

openjdk-17 (17.0.3+7-0ubuntu0.22.04.1) jammy-security; urgency=medium

  * OpenJDK 17.0.3+7 build (release).
    - CVE-2022-21476, CVE-2022-21496, CVE-2022-21434, CVE-2022-21426,
      CVE-2022-21443, CVE-2022-21449

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sun, 24 Apr 2022 09:50:52 -0400
