## openjdk-17 17.0.6%2B10

=== debian/changelog ===
openjdk-17 (17.0.6+10-1revyos1) unstable; urgency=medium

  [ YU BO ]
  * Add riscv64 jit

 -- Han Gao <gaohan@iscas.ac.cn>  Wed, 26 Apr 2023 18:40:15 +0800

openjdk-17 (17.0.6+10-1) unstable; urgency=high

  * OpenJDK 17.0.6 release, build 10.
    - CVE-2023-21835, CVE-2023-21843
    - Release notes:
      https://www.oracle.com/java/technologies/javase/17-0-6-relnotes.html

  [ Vladimir Petko ]
  * debian/patches/*: Refresh patches for the new release and drop unused
    patches.
  * debian/rules: add lunar to jtreg version selection.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jan 2023 11:36:16 +0100

openjdk-17 (17.0.5+8-2) unstable; urgency=medium

  * Fix the binary-indep only build.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Oct 2022 16:23:50 +0200

openjdk-17 (17.0.5+8-1) unstable; urgency=high

  * OpenJDK 17.0.5+8 (release).
  * Security fixes
    - JDK-8289366: Improve HTTP/2 client usage.
    - JDK-8288508: Enhance ECDSA usage.
    - JDK-8286918: Better HttpServer service.
    - JDK-8287446: Enhance icon presentations.
    - JDK-8286910: Improve JNDI lookups.
    - JDK-8286511: Improve macro allocation.
    - JDK-8286526: Improve NTLM support.
    - JDK-8286533: Key X509 usages.
    - JDK-8286077: Wider MultiByte conversions.
    - JDK-8286519: Better memory handling.
    - JDK-8285662: Better permission resolution.
    - JDK-8282252: Improve BigInteger/Decimal validation.
  * Build using GCC 12 in recent development distros.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Oct 2022 06:59:58 +0200
