=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
-hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el s390x
+hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el riscv64 s390x
 jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc ppc64 sh4 x32
 jtreg_archs	+= armel mipsel mips64el
 jtreg_archs	+= riscv64
@@ -157,10 +157,16 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-jtreg_pkg = jtreg6
+ifneq (,$(filter $(distrel), sid bookworm bullseye focal jammy kinetic lunar ))
+  jtreg_pkg = jtreg6
+else ifneq (,$(filter $(distrel), sid bookworm bullseye))
+  jtreg_pkg = jtreg
+else
+  jtreg_pkg =
+endif
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel mipsel mips64el riscv64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel mipsel mips64el))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
@@ -230,9 +236,3 @@
     export CC = $(DEB_HOST_GNU_TYPE)-gcc-5
     export CXX = $(DEB_HOST_GNU_TYPE)-g++-5
     # FIXME: altzero seems to build with GCC 5 on i386, amd64, ppc64el ...
-    ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
-      ZERO_CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
-      ZERO_CXX = $(DEB_HOST_GNU_TYPE)-g++-4.9
-    endif
-  else
-    export CC = $(DEB_HOST_GNU_TYPE)-gcc-4.9
