## openjdk-17 17.0.6+10

=== debian/changelog ===
openjdk-17 (17.0.6+10-1+rpi1) bookworm-staging; urgency=medium

  [changes taken from 17.0.4+8-1~deb11u1+rpt1 by Serge Schneider]
  * Build with client jvm variant
    - https://github.com/raspberrypi/linux/issues/3306#issuecomment-1030781000
  * Default to client jvm on armhf

 -- Raspbian forward porter <root@raspbian.org>  Mon, 13 Feb 2023 23:05:26 +0000
